<template>
  <div class="personal">
    <div class="info">
      <div style="position: relative">
        <el-upload
          class="avatar-uploader"
          action="https://run.mocky.io/v3/9d059bf9-4660-45f2-925d-ce80ad6c4d15"
          :show-file-list="false"
          :on-success="handleAvatarSuccess"
          :before-upload="beforeAvatarUpload"
        >
          <img v-if="imageUrl" :src="imageUrl" class="avatar" />
          <el-icon v-else class="avatar-uploader-icon"><Plus /></el-icon>
        </el-upload>
        <span
          style="
            display: flex;
            justify-content: center;
            align-items: center;
            width: 2.75rem;
            height: 2.75rem;
            position: absolute;
            top: 4.5rem;
            left: 6.9rem;
            background: #e8f4ff;
            border-radius: 50%;
            border: 0.2rem solid #fff;
          "
          ><img
            style="width: 0.75rem; height: 0.75rem"
            src="@/assets/personal/cim.png"
            alt=""
        /></span>
      </div>
      <el-form
        :model="formInline"
        style="flex: 1"
        class="demo-form-inline"
        label-position="right"
        label-width="auto"
      >
        <el-row :gutter="2" style="height: 2.2rem">
          <el-col :span="3">
            <el-form-item label="登录账号:">
              <span style="font-size: 1rem; font-weight: bold">dsfuis</span>
            </el-form-item>
          </el-col>
          <el-col :span="3"
            ><el-form-item label="用户分组:">
              <span>维保部</span>
            </el-form-item></el-col
          >
        </el-row>

        <el-row :gutter="2" style="height: 2.2rem">
          <el-col :span="3"
            ><el-form-item>
              <span
                @click="dialogVisible = true"
                style="color: #4386ff; text-decoration: underline"
                >修改密码</span
              >
            </el-form-item></el-col
          >
          <el-col :span="3">
            <el-form-item label="用户角色:">
              <span>2021-06-30</span>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>
    </div>
    <div class="mation">
      <span
        style="
          color: rgba(16, 16, 16, 1);
          font-size: 1rem;
          font-family: PingFangSC-bold;
        "
        >基础信息</span
      >
      <el-form
        :model="form"
        label-width="auto"
        style="max-width: 41.25rem; margin-top: 1.5625rem"
      >
        <el-row :gutter="50">
          <el-col :span="12"
            ><el-form-item label="姓名" label-position="top">
              <template #label>
                <span style="color: red; margin-right: 0.3125rem">*</span
                ><span
                  style="
                    color: black;
                    font-size: 0.875rem;
                    font-family: SourceHanSansSC-regular;
                    font-weight: bold;
                  "
                  >姓名</span
                >
              </template>
              <el-input
                size="small"
                v-model="form.name"
                placeholder="请输入"
                style="width: 18.375rem"
              />
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="联系电话" label-position="top">
              <template #label>
                <span style="color: red; margin-right: 0.3125rem">*</span
                ><span
                  style="
                    color: black;
                    font-size: 0.875rem;
                    font-family: SourceHanSansSC-regular;
                    font-weight: bold;
                  "
                  >联系电话</span
                >
              </template>
              <el-input
                v-model="form.name"
                size="small"
                placeholder="请输入"
                style="width: 18.375rem"
              /> </el-form-item
          ></el-col>
        </el-row>
        <el-form-item  label-position="top">
          <template #label>
            <div style="display: flex; align-items: flex-end">
              <span style="color: red; margin-right: 0.2rem">*</span>
              <span style="font-size: 0.88rem; color: black; font-weight: bold"
                >人脸图片</span
              ><span
                style="
                  color: rgba(255, 0, 0, 1);
                  font-size: 0.75rem;
                  margin-left: 0.5rem;
                "
                >注：最多可上传三张，图片需要正规的人像证件照</span
              >
            </div>
          </template>
          <el-upload
            class="avatar-uploader"
            action="#"
            list-type="picture-card"
            :auto-upload="false"
          >
            <el-icon><Plus /></el-icon>

            <template #file="{ file }">
              <div>
                <img
                  class="el-upload-list__item-thumbnail"
                  :src="file.url"
                  alt=""
                />
                <span class="el-upload-list__item-actions">
                  <span
                    class="el-upload-list__item-preview"
                    @click="handlePictureCardPreview(file)"
                  >
                    <el-icon size="15"><zoom-in /></el-icon>
                  </span>
                  <span
                    v-if="!disabled"
                    class="el-upload-list__item-delete"
                    @click="handleDownload(file)"
                  >
                    <el-icon size="15"><Download /></el-icon>
                  </span>
                  <span
                    v-if="!disabled"
                    class="el-upload-list__item-delete"
                    @click="handleRemove(file)"
                  >
                    <el-icon size="15"><Delete /></el-icon>
                  </span>
                </span>
              </div>
            </template>
          </el-upload>
        </el-form-item>
        <el-form-item>
          <el-button
            type="primary"
            @click="onSubmit"
            style="width: 6.25rem; height: 2.38rem; font-size: 0.875rem"
            >保存</el-button
          >
        </el-form-item>
      </el-form>
    </div>

    <!-- 修改密码弹出框 -->
    <el-dialog
      v-model="dialogVisible"
      title="密码修改"
      width="20%"
      :before-close="handleClose"
      style="background-color: rgba(255, 255, 255, 1)"
    >
      <template #title>
        <div style="font-size: 1.25rem; font-weight: bold">密码修改</div>
      </template>
      <el-form :model="form">
        <el-form-item>
          <el-input
            v-model="form.name"
            autocomplete="off"
            placeholder="请输入原密码"
            style="width: 21.25rem; height: 2.8125rem; font-size: 1rem"
          />
        </el-form-item>
        <el-form-item>
          <el-input
            v-model="form.name"
            autocomplete="off"
            placeholder="请输入新密码"
            style="width: 21.25rem; height: 2.8125rem; font-size: 1rem"
          />
        </el-form-item>
        <el-form-item>
          <el-input
            v-model="form.name"
            autocomplete="off"
            placeholder="确认密码"
            style="width: 21.25rem; height: 2.8125rem; font-size: 1rem"
          />
        </el-form-item>
      </el-form>
      <template #footer>
        <div
          class="dialog-footer"
          style="display: flex; justify-content: center"
        >
          <el-button
            @click="dialogVisible = false"
            type="primary"
            style="
              width: 21.25rem;
              height: 2.8125rem;
              background-color: #3a62d7;
              font-size: 1rem;
            "
            >确认</el-button
          >
        </div>
      </template>
    </el-dialog>
  </div>
</template>
<script setup>
import { ref, reactive } from "vue";
const formInline = reactive({
  user: "",
  region: "",
  date: "",
});
const form = reactive({
  name: "",
  region: "",
  date1: "",
  date2: "",
  delivery: false,
  type: [],
  resource: "",
  desc: "",
});

const onSubmit = () => {
  console.log("submit!");
};

const dialogVisible = ref(false);
</script>
<style lang="scss" scoped>
.personal {
  display: flex;
  flex-direction: column;
  .info {
    display: flex;
    height: 10rem;
    background-color: #fff;
    align-items: center;
    :deep(.avatar-uploader .el-upload) {
      border: 1px dashed var(--el-border-color);
      border-radius: 50%;
      cursor: pointer;
      position: relative;
      overflow: hidden;
      transition: var(--el-transition-duration-fast);
      margin-left: 2rem;
      margin-right: 3.75rem;
    }

    .avatar-uploader .el-upload:hover {
      border-color: var(--el-color-primary);
    }

    .el-icon.avatar-uploader-icon {
      font-size: 28px;
      color: #8c939d;
      width: 6.25rem;
      height: 6.25rem;
      text-align: center;
    }
    .el-form {
      .el-row {
        .el-col {
          .el-form-item {
            :deep(.el-form-item__label) {
              font-size: 0.875rem;
            }
            span {
              font-size: 0.875rem;
            }
          }
        }
      }
    }
  }
  .mation {
    flex: 1;
    margin-top: 1.25rem;
    background-color: #fff;
    padding: 1.1875rem 2.0625rem;
    box-sizing: border-box;
  }
  :deep(.el-dialog) {
    margin-top: 180px;
  }
  :deep(.el-dialog .el-dialog__body) {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .avatar-uploader .avatar {
    width: 7rem;
    height: 7rem;
    display: block;
  }
  :deep(.avatar-uploader .el-upload) {
    width: 7rem;
    height: 7rem;
    border: 0.0625rem dashed var(--el-border-color);
    border-radius: 0.0375rem;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: var(--el-transition-duration-fast);
  }
  :deep(.el-upload-list__item) {
    width: 7rem;
    height: 7rem;
  }
  .avatar-uploader .el-upload:hover {
    border-color: var(--el-color-primary);
  }

  .el-icon .avatar-uploader-icon {
    font-size: 0.5rem;
    color: #8c939d;
    width: 0.81rem;
    height: 0.81rem;
    text-align: center;
  }
}
</style>
